# Record Class CAITransactionResponse

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.CAITransactionResponse

Record Components:
  `requestId` - The request ID
  `responses` - The response for each executed command

All Implemented Interfaces:
  `CAProtocolMessageType, CAIMessageType, com.io7m.hibiscus.api.HBMessageType`

public record CAITransactionResponse(UUID requestId, List<CAIResponseType> responses) extends Record implements CAIMessageType
A response to a transaction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAITransactionResponse(UUID requestId, List<CAIResponseType> responses)`
  A response to a transaction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Optional<CAIResponseError>`
  `firstError()`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `requestId()`
  Returns the value of the `requestId` record component.
  `List<CAIResponseType>`
  `responses()`
  Returns the value of the `responses` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAITransactionResponse

    public CAITransactionResponse(UUID requestId, List<CAIResponseType> responses)
    A response to a transaction.
    Parameters:
      `responses` - The response for each executed command

- ## Method Details

  - ### firstError

    public Optional<CAIResponseError> firstError()
    Returns:
      The first error

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### requestId

    public UUID requestId()
    Returns the value of the `requestId` record component.
    Returns:
      the value of the `requestId` record component

  - ### responses

    public List<CAIResponseType> responses()
    Returns the value of the `responses` record component.
    Returns:
      the value of the `responses` record component